# Uses of Interface
javax.lang.model.element.ModuleElement.ExportsDirective

Packages that use ModuleElement.ExportsDirective
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of ModuleElement.ExportsDirective in javax.lang.model.element

Methods in javax.lang.model.element with parameters of type ModuleElement.ExportsDirective
Modifier and Type
Method
Description
`R`
ModuleElement.DirectiveVisitor.`visitExports(ModuleElement.ExportsDirective d, P p)`
Visits an `exports` directive.

## Uses of ModuleElement.ExportsDirective in javax.lang.model.util

Methods in javax.lang.model.util that return types with arguments of type ModuleElement.ExportsDirective
Modifier and Type
Method
Description
`static List<ModuleElement.ExportsDirective>`
ElementFilter.`exportsIn(Iterable<? extends ModuleElement.Directive> directives)`
Returns a list of `exports` directives in `directives`.